;Filename: SpiStat.s
;Part    : ADuC703x.
;Created : 14/04/2006
;Author  : Patrick Noonan (Analog Device Inc.)
;This file is in beta sampling.

;This software is supplied subject our standard software license agreement.
;A non-binding summary is as follows:
;"You may use the software in your own code at your own risk.
;" ADI inc disclaims any warranty or liability of its use".
;The full standard software license agreement is available on request and
; remains the binding agreement.

#include        <ADuC7030.inc>

; SpiStat==========SPI status.
; C Function prototype: int SpiStat(void);
; Description of Function: Reads the status byte of the SPI.
; User interface:
;   Call SpiStat.
;   Returns value of SPISTA:
;       SPISTA.0 = SPITX empty.
;       SPISTA.1 = SPITX IRQ.
;       SPISTA.2 = SPITX underflow.
;       SPISTA.3 = SPIRX Full.
;       SPISTA.4 = SPIRX IRQ.
;       SPISTA.5 = SPIRX overflow.
; Robustness:
;  SPI must be configured before checking status.

                RSEG CODE
                MODULE SpiStat
                PUBLIC SpiStat
                CODE32

SpiStat: mov      r3,#0xff0000            ;r3 = Z_BASE;
         orr      r3,r3,#0xff000000
         ldr      r0,[r3,#Z_SPISTA]       ;Get SPISTA
         bx       lr                      ;Return r0


                 ENDMOD  SpiStat

                 END

